import { Component, Element, h, Prop, State } from "@stencil/core";
import * as translation from "../translation";
export class IntergiroLogFooter {
  componentWillLoad() {
    this.t = translation.create(this.element);
  }
  render() {
    var _a, _b;
    return [
      h("smoothly-display", null, this.t("total count:")),
      h("smoothly-display", null, (_b = (_a = this.logs) === null || _a === void 0 ? void 0 : _a.length) !== null && _b !== void 0 ? _b : 0),
    ];
  }
  static get is() { return "ig-log-footer"; }
  static get encapsulation() { return "scoped"; }
  static get originalStyleUrls() { return {
    "$": ["style.css"]
  }; }
  static get styleUrls() { return {
    "$": ["style.css"]
  }; }
  static get properties() { return {
    "logs": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "Log[]",
        "resolved": "Log[] | undefined",
        "references": {
          "Log": {
            "location": "import",
            "path": "@payfunc/model-log"
          }
        }
      },
      "required": false,
      "optional": true,
      "docs": {
        "tags": [],
        "text": ""
      }
    }
  }; }
  static get states() { return {
    "t": {}
  }; }
  static get elementRef() { return "element"; }
}
